Commit 962717c4 authored by Guido Gunther's avatar Guido Gunther
Browse files

build: Switch to API version 1

We use 0.9.9x as verions until we tag 1.0.
parent bcd03848
project('libhandy', 'c',
version: '0.0.13',
version: '0.9.90',
license: 'LGPL-2.1+',
meson_version: '>= 0.49.0',
default_options: [ 'warning_level=1', 'buildtype=debugoptimized', 'c_std=gnu11' ],
......@@ -10,7 +10,9 @@ handy_version_major = version_arr[0].to_int()
handy_version_minor = version_arr[1].to_int()
handy_version_micro = version_arr[2].to_int()
apiversion = '0.0'
# The major api version as encoded in the libraries name
apiversion = '1'
# The so major version of the library
soversion = 0
package_api_name = '@0@-@1@'.format(meson.project_name(), apiversion)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment